From 189d8c632a7e33faeac50200761fba533be89210 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 24 2026 15:34:53 +0000
Subject: f43: Remove IoT, only compose fedora-bootc container


Generated-by: Claude Code
Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index a8a0242..f986dc0 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -87,13 +87,6 @@ lorax_options = [
   })
 ]
 
-additional_packages = [
-    ('^IoT$$', {
-        '*': [
-            '*',
-        ],
-    }),
-]
 multilib = [
     ('^Everything$', {
         'x86_64': ['devel', 'runtime'],
@@ -209,79 +202,6 @@ global_version = '43'
 # live_images ignores this in favor of live_target
 global_target = 'f43'
 
-imagebuilder_target = 'f43-image-builder'
-imagebuilder = {
-    "^IoT$": [
-      {
-        "name": "%s-raw" % release_name,
-        "types": ["iot-raw-xz"],
-        "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/",
-                  "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$arch/os/"],
-        "ostree": {
-           "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/stable/$arch/iot",
-        },
-        "subvariant": "IoT",
-        "failable": ["*"],
-      },
-      {
-        "name": "%s-ostree" % release_name,
-        "types": ["iot-installer"],
-        "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/",
-                  "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$arch/os/"],
-        "ostree": {
-           "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/stable/$arch/iot",
-        },
-        "subvariant": "IoT",
-        "manifest_type": "dvd-ostree",
-        "failable": ["*"],
-      },
-      {
-        "name": "%s-provisioner" % release_name,
-        "types": ["iot-simplified-installer"],
-        "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/",
-                  "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$arch/os/"],
-        "ostree": {
-           "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/stable/$arch/iot",
-        },
-        "blueprint": {
-            "customizations": {
-                "installation_device": "/dev/vda1",
-            },
-        },
-        "subvariant": "IoT_Simplified_Provisioner",
-        "failable": ["*"],
-        "manifest_type": "dvd-ostree",
-      },
- ],
-}
-
-ostree = {
-    "^IoT$": {
-            "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-            "force_new_commit": True,
-            "unified_core": True,
-            "treefile": "fedora-iot.yaml",
-            "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "f43",
-            "repo": [
-                "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/",
-                "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$basearch/os/"],
-            "tag_ref": False,
-            "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/stable/${basearch}/iot",
-            "runroot_packages": ["selinux-policy-targeted"],
-            "arches": ["x86_64", "aarch64"],
-            "update_summary": True,
-        }
-}
-
 ostree_container = {
     "^IoT$": [
         {
@@ -296,17 +216,6 @@ ostree_container = {
             "subvariant": "base",
             "name": "Fedora-base-bootc",
         },
-        {
-            "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-            "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
-            "config_branch": "main",
-            "treefile": "fedora-iot-43.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/",
-                     "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$basearch/os/"],
-            "arches": ["x86_64", "aarch64"],
-            "failable": ['*'],
-            "name": "Fedora-IoT-bootc",
-        },
     ]
 }
 

